%% Test the implementation of QueueingSimulation1.m function

%% clean the workspace
clear all; %Removes all variables, functions, and MEX-files from memory, leaving the workspace empty
close all; % delete all figures whose handles are not hidden.
clc; % clear command window

%% Program
% Initialize the variable
max_queue_avg = 0;  % [veh] average of the maximum queue length
max_queue_var = 0;  % [veh^2] variance of the maximum queue length
max_queue_all = []; % [veh^2] (vector) maximum queue length for each simulation run
max_queue_avg_all = []; % [veh] (vector) average of the maximum queue length for each simulation run
max_queue_var_all = []; % [veh^2] (vector) variance of the maximum queue length for each simulation run 
run = 0; % number of run

% Set the scenario
scenario = NewRoad1();


% Main loop
while(true) % multiple run simulation until the stopping criteria is met
    run = run + 1;

    % Run the simulation
    [times, queues] = QueueingSimulation1(scenario); %% FUNCTION ALREADY IMPLEMENTED
    
    % % Graphical animation of the results
    % DrawNetwork(scenario, times, queues);
    %
    % % Chart of the results
    % figure;DrawQueues(times, queues);
    
    % Collect statistics
    max_queue = max(queues); % [veh] maximum length of the queue in this simulation run
    [max_queue_avg, max_queue_var] = UpdatedStatistics(max_queue_avg, max_queue_var, max_queue, run);
    
    % Collect statistics for all runs
    max_queue_all = [max_queue_all max_queue];
    max_queue_avg_all = [max_queue_avg_all max_queue_avg];
    max_queue_var_all = [max_queue_var_all max_queue_var];
    
    
    %% Criteria for stopping simulating new runs
    
    %
    % implement your solution here
    %
    
   
end

% Plot the average maximum queue length and standard deviation
plot(max_queue_avg_all,'k');hold on; plot(sqrt(max_queue_var_all),'--k'); hold off;
xlabel('simulation run');ylabel('vehicle');legend('avg max veh length','std max veh length','Location','Best');
% Plot the histogram of maximum queue length
plotHistogram(max_queue_all);drawnow

%% Bootstrap
% figure; cdfplot(max_queue_all); %plot the empirical CDF

% Mean maximum-queue-lenght
BootstrapMSE_Mean = BootstrapMSE(max_queue_all, @mean, 100);
MSE_Mean = var(max_queue_all)/run; % compare witht the analytical MSE

% 95 percentile of the maximum-queue-length
BootstrapMSE_Prc95 = BootstrapMSE(max_queue_all, @Prc95, 100);

% Worst scenario of the maximum-queue-length
BootstrapMSE_Worst = BootstrapMSE(max_queue_all, @max, 100);


